Subject: Re: [PATCH/RFC] Changing submodule foreach --recursive to be depth-first, --parent option to execute command in supermodule as well

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Mar 2013 22:25:20 -0700

Junio C Hamano <[email-masked]> writes:

> Jens Lehmann <[email-masked]> writes:
> ...
>>>>>> I totally agree with that. First, adding --include-super does not
>>>>>> belong into the --post-order patch at all, as that is a different
>>>>>> topic (even though it belongs to the same use case Eric has).

I forgot to say that I haven't changed my mind about this part.  "Do
we visit the top-level?" is an orthogonal and different topic and is
better done in a patch separate from the one for --post-order.

Thanks.